Subject: Re: bug#26201: No notification of cache misses when downloading substitutes

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Tue, 21 Mar 2017 17:07:56 +0100

On 21/03/17 16:32, [email-masked] wrote:
> Unless mirror.hydra randomly loses data in it's cache from hydra, it
> won't be random in the least.

It will. Whether one is first to download from the cache after the
substitute is built is essentially random.

> Quite frankly I'd like someone else to take a look at this bug,

Glad you agree.

> if for no other reason than I'm not sure if we're communicating clearly
> with each other here. Most of what you are saying makes no sense
> whatsoever and seems to miss the point I have attempted to make.

I assure you it does not.

Kind regards,

T G-R